Subject: bug#4846: closed (Re: bug#4526: 23.1; shadowfile always fails)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Aug 2018 12:56:03 +0000

Your bug report

#4526: 23.1; File Shadow: Shadowing to FTP server does not work

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
4526: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4526
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4526: 23.1; shadowfile always fails
From: Michael Albinus <[email-masked]>
To: Bill Pemberton <[email-masked]>
Cc: [email-masked], [email-masked], Martin Apel <[email-masked]>
Date: Thu, 30 Aug 2018 14:54:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version:26.1

Michael Albinus <[email-masked]> writes:

Hi,

> It took several years, but now I have done it. Shadowfile.el has been
> rewritten to use Tramp file names.
>
> If you are using the latest Emacs 26.1, and you want to test this, you
> could download the changed shadowfile.el from
> <http://git.savannah.gnu.org/cgit/emacs.git/plain/lisp/shadowfile.el?h=emacs-26>.
> Otherwise, it will appear with the next Emacs release.

No response, I'm closing the bugs. Feel free to report if you encounter
further problems with shadowfile.el.

Best regards, Michael.

Subject: 23.1; File Shadow: Shadowing to FTP server does not work
From: Martin Apel <[email-masked]>
To: [email-masked]
Date: Sun, 01 Nov 2009 18:51:15 +0100

I have tried to set up file shadowing so a local file is shadowed to an FTP account.
The file .shadows looks as follows:

(setq shadow-clusters nil)

(setq shadow-literal-groups
  '(("/ftp:mylogin@myftpserver:~/private/test" "/martin@gandalf:~/test")))

(setq shadow-regexp-groups nil)

After modifying the test file locally and invoking 'shadow-copy-files' the message buffer contains the following:
Tramp: Opening connection for martin@ftp using scp...
Tramp: Waiting 60s for local shell to come up...
Tramp: Sending command `ssh ftp -l martin  -q -e none && exit || exit'
Tramp: Waiting for prompts from remote shell
File error: Process died
Shadow /ftp:mylogin@myftpserver:~/private/test not updated!
Wrote /home/martin/.shadow_todo

Unfortunately the documentation is rather vague, so I might not have set up shadowing correctly.

In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.16.5)
 of 2009-09-14 on raven, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.10605000
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Apropos

Minor modes in effect:
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  which-function-mode: t
  show-paren-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
M-< C-s r e p o r t C-s C-s C-s C-s C-s C-s C-s C-s 
C-s C-s C-s C-s M-x <help-echo> r e p r t <backspace> 
<backspace> o r t - e m <tab> <return>

Recent messages:
Lazy desktop load complete
Mark set
Scheduled to <2009-11-03 Tue>
Type C-x 4 C-o RET to restore the other window.  
Mark set
Mark saved where search started